﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace MeccsDoga
{
    class Program
    {
        static void Main(string[] args)
        {
            //Beolvasás a merkozesek.txt fájlból 1. mód
            StreamReader sr = new StreamReader(@"c:\git\merkozesek.txt");
            //egy sor beolvasása
            //string elsosor = sr.ReadLine();
            //Console.WriteLine($"Az állomány első sora: {elsosor}");
            string[] meccsek = new string[400];
            int darab = 0;
            while(!sr.EndOfStream)
            {
                meccsek[darab] = sr.ReadLine();
                darab++;
            }
            sr.Close();
            Console.WriteLine($"A fájlban {darab} meccs adata van.");
            for (int i = 0; i < darab; i++)
            {
                Console.WriteLine(meccsek[i]);
            }

            //******************************************
            //Beolvasás a merkozesek.txt fájlból 2. mód
            Console.WriteLine("Beolvasás 2. módszer ************************");
            string[] sorok = File.ReadAllLines(@"c:\git\merkozesek.txt");
            Console.WriteLine($"A fájlban {sorok.Length} meccs adata van.");
            foreach (string sor in sorok)
            {
                Console.WriteLine(sor);
            }

            //2. feladat megoldása
            Console.WriteLine("Adja meg egy forduló számát (1-20):");
            string fordulo = Console.ReadLine();
            Console.WriteLine($"2. feladat:\nA {fordulo}. forduló mérkőzései:");
            foreach (var item in sorok)
            {
                if(item.StartsWith(fordulo))
                {
                    //Console.WriteLine(item);
                    string[] t = item.Split(' ');
                    Console.WriteLine($"{t[3]}-{t[4]}: {t[1]}-{t[2]}");
                }
            }

            //3. feladat megoldása
            Console.WriteLine("3. feladat:");
            int hazai = 0;
            int vendeg = 0;
            int remi = 0;
            foreach (var item in sorok)
            {
                string[] t = item.Split(' ');
                int hgol = int.Parse(t[1]);
                int vgol = int.Parse(t[2]);
                if(hgol>vgol)
                {
                    hazai++;
                } else if(vgol>hgol)
                {
                    vendeg++;
                } else
                {
                    remi++;
                }
            }
            Console.WriteLine($"Hazai győzelem: {hazai} mérkőzésen");
            Console.WriteLine($"Vendég győzelem: {vendeg} mérkőzésen");
            Console.WriteLine($"Döntetlen: {remi} mérkőzésen");
            
        }
    }
}
